summaryrefslogtreecommitdiffstats
path: root/libraries/qt5/qt5.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'libraries/qt5/qt5.SlackBuild')
-rw-r--r--libraries/qt5/qt5.SlackBuild23
1 files changed, 18 insertions, 5 deletions
diff --git a/libraries/qt5/qt5.SlackBuild b/libraries/qt5/qt5.SlackBuild
index 8a1046f062..6d36e054f0 100644
--- a/libraries/qt5/qt5.SlackBuild
+++ b/libraries/qt5/qt5.SlackBuild
@@ -51,7 +51,7 @@
PRGNAM=qt5
VERSION=${VERSION:-5.9.8}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
if [ -z "$ARCH" ]; then
@@ -122,6 +122,7 @@ elif [ "$ARCH" = "i686" ]; then
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
LIBDIRSUFFIX="64"
+ SLKLDFLAGS="-L/usr/lib64"
elif [ "$ARCH" = "armv7hl" ]; then
# To prevent "qatomic_armv6.h error: output number 2 not directly addressable"
# More permanent solution is to patch gcc:
@@ -164,17 +165,29 @@ else
RELOCATIONS=""
fi
-sed -i "s|-O2|$SLKCFLAGS|" qtbase/mkspecs/common/gcc-base.conf
-
# Patch to fix renderer crash on some sites with 5.9.8:
# https://bugreports.qt.io/browse/QTBUG-75853
if [ "$WEBENGINE" = "yes" ]; then
(
cd qtwebengine/src/3rdparty
- patch -p1 <$CWD/explicitly-initialize-sqlite.patch
- )
+ cat $CWD/patches/explicitly-initialize-sqlite.patch \
+ | patch -p1 --verbose
+ ) || exit 1
fi
+# Borrowed a few things from alienBOB:
+# Fix path to mysql header:
+cat $CWD/patches/qt5.mysql.h.diff | patch -p1 --verbose
+
+# Fix missing private includes: QTBUG-37417
+sed -e '/CMAKE_NO_PRIVATE_INCLUDES\ \=\ true/d' \
+ -i qtbase/mkspecs/features/create_cmake.prf
+
+# Use our custom compiler and linker flags:
+sed -i -re "s,-O(2|3),$SLKCFLAGS," qtbase/mkspecs/common/gcc-base.conf
+sed -i -e "/^QMAKE_LFLAGS\s/s,+=,+= $SLKLDFLAGS,g" \
+ qtbase/mkspecs/common/gcc-base.conf
+
export CFLAGS="$SLKCFLAGS"
export CXXFLAGS="$SLKCFLAGS -std=c++11"
./configure -v \